%define	major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		gc
Version:	7.4.2
Release:	%mkrel 8
Summary:	Conservative garbage collector for C
License:	BSD
Group:		System/Libraries
URL:		http://www.hboehm.info/gc/
Source0:	http://www.hboehm.info/%{name}/gc_source/%{name}-%{version}.tar.gz
Patch1:		gc-7.4.2-CVE-2016-9427-1.patch
Patch2:		gc-7.4.2-CVE-2016-9427-2.patch
Patch3:		gc-7.4.2-CVE-2016-9427-3.patch
Patch4:		gc-7.4.2-CVE-2016-9427-test.patch
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig(atomic_ops)

%description
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.


%package -n	%{libname}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Obsoletes:	%{name} < 7.1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.


%package -n	%{develname}
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
License:	BSD
Obsoletes:	%{_lib}gc1-devel < 7.1
Obsoletes:	%{_lib}gc-static-devel < 7.2
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Header files and documentation needed to develop programs that use Bohem's GC.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi

# or else tkhtml3 won't build on x86-64. the clean way to do this is
# to patch it into the Makefile, but then it doesn't get used for
# mach_dep.lo, and I can't figure out why not - AdamW 2008/12
%ifarch x86_64
export CFLAGS="%{optflags} -fPIC"
%endif

# from Fedora: see http://bugzilla.redhat.com/689877
# Exclude arm as it prevents disabling threads
%ifnarch %arm
export CPPFLAGS="-DUSE_GET_STACKBASE_FOR_MAIN"
%endif

%configure2_5x \
	--disable-static \
	--enable-cplusplus \
	--enable-large-config \
%ifarch %{ix86}
	--enable-parallel-mark \
%endif
	--enable-threads=posix

%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_datadir}

install -m 644 doc/gc.man -D %{buildroot}%{_mandir}/man3/gc.3

#we don't want these
find %{buildroot} -name "*.la" -delete

%check
%ifarch armv5tl
# Not SMP safe on armv5, which is fine has armv5 has no SMP support, but we
# build armv5 on an armv7 kernel with SMP...
taskset -c 0 make check
%else
%make check
%endif

%files -n %{libname}
%doc README.QUICK
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/*.html
%{_libdir}/lib*.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_includedir}/%{name}*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man?/%{name}.3.*


%changelog
* Sun Jun 04 2017 luigiwalser <luigiwalser> 7.4.2-8.mga6
+ Revision: 1106637
- add patches from debian to fix CVE-2016-9427

* Sun Feb 14 2016 umeabot <umeabot> 7.4.2-7.mga6
+ Revision: 960238
- Mageia 6 Mass Rebuild

* Sun Dec 13 2015 pterjan <pterjan> 7.4.2-6.mga6
+ Revision: 910177
- Restore threads on armv5 but run tests without smp

* Fri Dec 11 2015 pterjan <pterjan> 7.4.2-5.mga6
+ Revision: 909383
- Disable threads on arm as it hangs in tests

* Sat Dec 05 2015 neoclust <neoclust> 7.4.2-4.mga6
+ Revision: 908454
- Rebuild fo ARM

* Wed Oct 15 2014 umeabot <umeabot> 7.4.2-3.mga5
+ Revision: 746933
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.4.2-2.mga5
+ Revision: 679427
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 daviddavid <daviddavid> 7.4.2-1.mga5
+ Revision: 666423
- remove unneeded previous patch
- update Url and Source link-url
- switch BR to pkgconfig
- new version: 7.4.2

* Fri Oct 18 2013 umeabot <umeabot> 7.3-0.alpha4git.4.mga4
+ Revision: 504695
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 7.3-0.alpha4git.3.mga3
+ Revision: 351085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 7.3-0.alpha4git.2.mga3
+ Revision: 338558
- patch1: fix build with automake 1.13

* Sat Jul 07 2012 kamil <kamil> 7.3-0.alpha4git.1.mga3
+ Revision: 268612
- new version 7.3.0alpha4 git snapshot
- this version fixes security issues (mga#6652)
- drop P0

* Sat Jul 07 2012 kamil <kamil> 7.2-0.c.1.mga3
+ Revision: 268606
- disable P0
- new version 7.2c

* Mon Feb 06 2012 kamil <kamil> 7.2-0.alpha6.3.mga2
+ Revision: 205435
- rebuild against libatomic_ops-7.3.0 alpha2
- clean .spec

* Sun Feb 05 2012 wally <wally> 7.2-0.alpha6.2.mga2
+ Revision: 204876
- sync build flags and configure options with Fedora

* Tue Dec 27 2011 wally <wally> 7.2-0.alpha6.1.mga2
+ Revision: 188199
- new version 7.2alpha6
- disable static build and drop .la files
- drop mips patch

* Thu Feb 10 2011 dmorgan <dmorgan> 7.1-7.mga1
+ Revision: 49769
- Remove mdv macros
- imported package gc


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 7.1-7mdv2011.0
+ Revision: 605440
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 7.1-6mdv2010.1
+ Revision: 522708
- rebuilt for 2010.1

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 7.1-5mdv2010.0
+ Revision: 448322
- fix mips support, "nice" regression from 6.8 (from Arnaud Patard)

* Sat Jul 18 2009 Anssi Hannula <anssi@mandriva.org> 7.1-4mdv2010.0
+ Revision: 396975
- fix build failure due to duplicate headers in the same install command
  (duplicate-headers-install.patch, from Mika Laitio)

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 7.1-3mdv2009.1
+ Revision: 310348
- better comment
- build with -fPIC on x86-64 (tkhtml3 build fails without)

* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 7.1-2mdv2009.0
+ Revision: 288616
- rebuild

* Fri Jul 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 7.1-1mdv2009.0
+ Revision: 231792
- rename
- update to new version 7.1
- new library policy
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0:6.8-2mdv2008.1
+ Revision: 150564
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0:6.8-1mdv2008.0
+ Revision: 27627
- Updated to 6.8.
- Minor identation fixes.

